Agendize Developers API

Campaigns


{ "id": {string}, "totalRecipients": {integer}, "sent": { "dateTime": {string}, "timeZone": {string} }, "media": {string}, "recipients": [ { "id": {string}, "firstName": {string}, "lastName": {string}, "emailAddress": {string}, "externalId": {string}, "mobilePhoneNumber": {string} } ], "subject": {string}, "html": {string}, "text": {string}, "sender": { "address": {string} }, "allContacts": {boolean} }
id string Identifier of the campaign. read-only.
totalRecipients integer Total number of recipients of the campaign. read-only.
sent object Sent datetime of the campaign. Read-Only
sent.dateTime string The time, as a combined date-time value (formatted according to RFC 3339, without time zone information).
sent.timeZone string The time zone. Possible values can be found here. The default value is the time zone of the company.
media string Media of the campaign. Values: "email", "textMessage". read-only.
recipients list List of campaign recipients. writable
recipients[].id string Identifier of the contact. writable
recipients[].firstName string First name of the contact. read-only.
recipients[].lastName string Last name of the contact. read-only.
recipients[].externalId string External identifier of the contact. read-only.
recipients[].emailAddress string Email address of the contact. Only for "email" media. read-only.
recipients[].mobilePhoneNumber string Email address of the contact. Only for "textMessage" media. read-only.
subject string Subjet of the message sent. Only for "email" media. writable.
html string HTML body of the message sent. Only for "email" media. writable.
text string Text message of the campaign. Only for "textMessage" media. writable.
sender object Sender of the campaign. Only for "email" media. writable.
sender.address string Email address of the sender. writable.
allContacts list If the campaign has been sent to all account contacts. writable.

Get

Returns an entry of the campaign list.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

GET https://api.agendize.com/api/2.3/communication/campaigns/{campaignId}

Parameters

Parameter name Value Description
Path parameters
campaignId string Campaign identifier.
fields string Specify the fields returned. Comma separated field names (ex: "id,subject").

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a Campaign resource in the response body.


List

Returns entries on the campaign list.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

GET https://api.agendize.com/api/2.3/communication/campaigns

Parameters

Parameter name Value Description
Optional query parameters
withRecipients boolean Retrieve campaign recipients. Default value: "false".
media boolean Retrieve campaign recipients for a media type only. Values: "email", "textMessage". Default: all media types.
fields string Specify the fields returned. Comma separated field names (ex: "id,subject").

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a response body with the following structure:

{ items: [Campaign Resource] }

Send Email

Send an email campaign.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

POST https://api.agendize.com/2.3/campaigns/email

Request body

In the request body, supply a Campaign resource with the following properties:

Parameter name Value Description
Required Properties
recipients list List of campaign recipients. writable
recipients[].id string Identifier of the contact. writable
subject string Subjet of the message sent. writable.
html string HTML body of the message sent. writable.
Optional Properties
sender object Sender of the campaign. writable.
sender.address string Email address of the sender. writable.
allContacts list If the campaign has been sent to all account contacts. writable.

Response

If successful, this method returns a Campaign resource in the response body.


Send Text Message

Send an text message campaign.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

POST https://api.agendize.com/2.3/campaigns/textMessage

Request body

In the request body, supply a Campaign resource with the following properties:

Parameter name Value Description
Required Properties
recipients list List of campaign recipients. writable
recipients[].id string Identifier of the contact. writable
text string Text message of the campaign. Only for "textMessage" media. writable.
Optional Properties
allContacts list If the campaign has been sent to all account contacts. writable.

Response

If successful, this method returns a Campaign resource in the response body.